org.springframework.jca.cci.connection

## Class NotSupportedRecordFactory

- java.lang.Object
- - org.springframework.jca.cci.connection.NotSupportedRecordFactory

All Implemented Interfaces:
  RecordFactory

    public class NotSupportedRecordFactory
    extends Object
    implements RecordFactory

Implementation of the CCI RecordFactory interface that always throws NotSupportedException.

Useful as a placeholder for a RecordFactory argument (for example as defined by the RecordCreator callback), in particular when the connector's `ConnectionFactory.getRecordFactory()` implementation happens to throw NotSupportedException early rather than throwing the exception from RecordFactory's methods.

Since:
  1.2.4
Author:
  Juergen Hoeller
See Also:
  `RecordCreator.createRecord(javax.resource.cci.RecordFactory)`, `CciTemplate.getRecordFactory(javax.resource.cci.ConnectionFactory)`, `ConnectionFactory.getRecordFactory()`, `NotSupportedException`

### Constructor Summary

Constructors
Constructor and Description
`NotSupportedRecordFactory()`

### Method Summary

Methods
`IndexedRecord` `createIndexedRecord(String name)`
`MappedRecord` `createMappedRecord(String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NotSupportedRecordFactory

    public NotSupportedRecordFactory()

### Method Detail

#### createMappedRecord

    public MappedRecord createMappedRecord(String name)
                                    throws ResourceException

Specified by:
  `createMappedRecord` in interface `RecordFactory`
Throws:
  `ResourceException`

#### createIndexedRecord

    public IndexedRecord createIndexedRecord(String name)
                                      throws ResourceException

Specified by:
  `createIndexedRecord` in interface `RecordFactory`
Throws:
  `ResourceException`